%global _description \
The gflags package contains a library that implements commandline \
flags processing. As such it's a replacement for getopt(). It has \
increased flexibility, including built-in support for C++ types like \
string, and the ability to define flags in the source file in which \
they are used.

Name:           gflags
Version:        2.2.2
Release:        3
Summary:        A C++ library for commandline flag processing
License:        BSD
URL:            https://gflags.github.io/gflags/
Source0:        https://github.com/gflags/gflags/archive/v%{version}/gflags-%{version}.tar.gz
BuildRequires:  gcc-c++ cmake

%description %_description

%package devel
Summary:        Development files for gflags
Requires:       gflags = %{version}-%{release}

%description devel
This package contains development files for gflags.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DBUILD_TESTING:BOOL=ON \
       -DINSTALL_HEADERS:BOOL=ON \
       -DREGISTER_BUILD_DIR:BOOL=OFF \
       -DREGISTER_INSTALL_PREFIX:BOOL=OFF
%make_build

%install
%make_install

%check
ctest

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc AUTHORS.txt ChangeLog.txt README.md COPYING.txt
%{_bindir}/gflags_completions.sh
%{_libdir}/libgflags.so.*
%{_libdir}/libgflags_nothreads.so.*

%files devel
%{_includedir}/gflags/*.h
%{_libdir}/libgflags.so
%{_libdir}/pkgconfig/gflags.pc
%{_libdir}/libgflags_nothreads.so
%{_libdir}/cmake/gflags

%changelog
* Sat Oct 29 2022 chengzeruizhi <chengzeruizhi@huawei.com> - 2.2.2-3
- Type:requirement
- ID:NA
- SUG:NA
- DES: update gflags to 2.2.2-3

* Fri Oct 30 2020 xinghe <xinghe1@huawei.com> - 2.2.2-2
- remove python2 dependency

* Wed Jul 15 2020 jinzhimin <jinzhimin2@huawei.com> - 2.2.2-1
- Type:requirement
- ID:NA
- SUG:NA
- DES: update gflags to 2.2.2

* Fri Nov 15 2019 sunguoshuai <sunguoshuai@huawei.com> - 2.1.2-9
- Package init
